@import url(reset.css);
@import url(variables.css);
@import url(responsiv.css); /* DEVE vir por último */


.page{
    display: grid;
    grid-template-areas:  "header" "main" "footer";
    min-height: 100%;
    min-width: 100%;
    grid-template-rows: auto 1fr auto;
    background: linear-gradient(to bottom, var(--fundo-principal), var(--fundo-secundario));
    color: var(--texto-principal);
    font-size: 16px;
}

.site-header{
    grid-area: header;
    height: auto;
    width:100%;
    padding: 20px;
    border-bottom-left-radius: 15%;
    border-bottom-right-radius: 15%;
    background-color:var(--fundo-header);
    font-size: 1.2em;
}
.header__inner{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    position: relative;
}

.menu-icon{
    font-size: 1.8rem;
    cursor: pointer;
}

.menu-toggle{
    display: none;
}

.menu-toggle:checked + .menu-icon + .main-nav{
    display: flex;
}

.main-nav{
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background-color: #2F2F2F;
    display: none;
    flex-direction: column;
    align-items: center;
    padding: 7px;
    border-radius: 10px;
}

.nav-list{
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    gap: 1rem;
}

.nav-link{
    text-decoration: none;
    color: var(--texto-principal);
    transition: background-color 0.5s ease, color 0.5s ease, transform 0.7s ease;
    border-radius: 10px;
}

.nav-link:hover{
    color: var(--acentos);
    background-color: var(--fundo-links);
    padding: 5px;
    transform: scale(1.07);
}

.main-content{
    grid-area: main;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0.5em;
    font-size: 1.1em;
    margin-bottom: 2em;
    overflow: hidden;
    box-sizing: border-box;
}

.hero{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.hero__title{
    margin-bottom: 10px;
}

.hero__image{
    display: flex;
    flex-direction: column;
    height: auto;
    margin-top: 5%;
}

.hero__image img{
    border-radius: 10px
}

.hero__image figcaption{
    margin-top: 8px;
}

.section{
    color: #e0e6eb;
    margin-top: 3rem;
    padding: 15px;
    border-radius: 12px;
    min-height: 200px;
    width: 90%;
    height: auto;
    overflow: hidden;
    box-shadow: var(--shadow);
}
.article{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-self: center;
    margin-top: 10px;
}

.article p {
    margin-top: 0.5rem;
}

.article__header{
    text-align: center;
    margin-bottom: 7px;
    width: 90%;
}
#caracteristicas{
    background-color: var(--caracteristicas);
}

#habitat{
    background-color: var(--habitat);
}

#comportamento{
    background-color: var(--comportamento);
}

#reproducao{
    background-color: var(--reproducao);
    padding: 7px;
}

#conservacao{
    background-color: var(--conservacao);
}


#conservacao div h5{
    text-align: center;
}

.img-lobo{
    display: flex;
    flex-direction: column;
    margin-top: 15px;
    height: auto;
    width: 100%;
}

.img-lobo img{
    border-radius: 7px;
    margin-top: 6px;
}

#curiosidades{
    background-color: var(--curiosidades);
    font-size: 1.2em;
}

.section-subtitle{
    text-align: center;
    margin-bottom: 10px;
}

p{
    text-align: center;
}

.quote{
    margin-top: 30px;
    text-align: center;
}

.aside__title{
    margin-top: 12px;
}

.list{
    display: block;
    margin-top: 15px;
    list-style: inside;
}
.list li{
    margin-top: 7px;
}

.data-list{
    margin-top: 10px;
    display: flex;
    flex-direction: column;
    gap: 0.7rem;
}

.article__footer{
    margin-top: 1.2rem;
}

.site-footer{
    grid-area: footer;
    text-align: center;
    font-size: 1.2em;
    margin-bottom: 5px;
}

      /* AJUSTES */

.lobo-etiope{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.lobo-vermelho{
    display: flex;
    flex-direction: column;
    align-items: center;
}